<?php
require_once './Control/ControlParceria.php';
require_once './Util/formAjax/FormAjax.php';
extract($_POST);
$controlParceria = new ControlParceria();
if ($acao == 'inserir')
{
	$parceria = new Parceria();
} else
{
	$parceria = $controlParceria->pegarUmParceria($pk);
}
if ($acao != 'excluir')
{
    $parceria->lang = $lang;
    $parceria->sNome(stripslashes($txtNome));
    $parceria->setSite(stripslashes($txtSite));
    $parceria->setEmail(stripslashes($txtEmail));
    $parceria->sDescricao(stripslashes($txtDescricao));
    $parceria->setHabilitado(stripslashes($cbHabilitado));
    //Definir Foto
    if ((isset($upFoto)) and ($upFoto != 'null'))
    {   
        Utilidades::deletarAquivo($parceria->getFoto());
        Utilidades::deletarAquivo($parceria->getFotoq());
        $nomeArquivo = md5(uniqid(time())) . $upFoto[0];
        copy('./upload_temp/' . $upFoto[0], './fotos/parceria/' . $nomeArquivo);
        copy('./upload_temp/thumbnails/' . $upFoto[0], './fotos/parceria/thumbnails/' . $nomeArquivo);
        $parceria->setFotoq('./fotos/parceria/' . $nomeArquivo);
        $parceria->setFoto('./fotos/parceria/thumbnails/' . $nomeArquivo);
        Utilidades::deletarAquivo('./upload_temp/' . $upFoto[0]);
        Utilidades::deletarAquivo('./upload_temp/thumbnails/' . $upFoto[0]);
    }
    //Remover Foto
    if ($remFoto == 'remFoto')
    {
        Utilidades::deletarAquivo($parceria->getFoto());
        Utilidades::deletarAquivo($parceria->getFotoq());
        $parceria->setFoto(NULL);
        $parceria->setFotoq(NULL);
    }
    switch ($acao) {	
            case 'alterar':
                    $retorno = $controlParceria->salvarParceria($parceria);
                    break;
            case 'inserir':
                    $retorno = $controlParceria->salvarParceria($parceria);
                    $acao = 'alterar';
                    $parceria->find(true);
                    $pk = $parceria->getParceriaid();
                    break;
    }
    if ($retorno == 0)
    {
        echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
    } else
    {   
        echo 'Registro foi salvo com sucesso!';
        $codJava = 'mostrarArquivoDados(\'' . $arqFrm .'\',\'#dados\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');';
        echo '<script>' . $codJava . '</script>';
    }
} else {
        $retorno = $controlParceria->excluirParceria($parceria);
        if ($retorno == 0)
        {
            echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
        } else
        {   
            echo 'Registro com ID: ' . $pk . ' excluido com sucesso!';
            $codJava = '$("#parceriaID_'. $pk . '").remove();';
            echo '<script>' . $codJava . '</script>';
        }
}

?>